diff --git a/src/main/java/com/zivilon/cinder_loe/CinderLoE.java b/src/main/java/com/zivilon/cinder_loe/CinderLoE.java
index a1e0f4c..420c611 100644
--- a/src/main/java/com/zivilon/cinder_loe/CinderLoE.java
+++ b/src/main/java/com/zivilon/cinder_loe/CinderLoE.java
@@ -8,13 +8,16 @@ import com.zivilon.cinder_loe.client.render.corrupt.*;
 import com.zivilon.cinder_loe.command.CommandCinderCharacter;
 import com.zivilon.cinder_loe.entity.*;
 import com.zivilon.cinder_loe.entity.corrupt.*;
+import com.zivilon.cinder_loe.entity.npc.*;
+import com.zivilon.cinder_loe.entity.trader.BladorthinSmith;
+import com.zivilon.cinder_loe.entity.trader.LimwaithFishmonger;
+import com.zivilon.cinder_loe.entity.trader.LimwaithShaman;
+import com.zivilon.cinder_loe.entity.trader.RedDwarfSmith;
 import com.zivilon.cinder_loe.items.*;
 import com.zivilon.cinder_loe.tileentity.*;
 import com.zivilon.cinder_loe.util.Utilities;
-import com.zivilon.cinder_loe.ItemRegistration;
 import com.zivilon.cindercore.CinderCore;
 import lotr.common.item.*;
-import net.minecraft.item.ItemSeedFood;
 import net.minecraft.potion.Potion;
 import org.apache.logging.log4j.LogManager;
 import org.apache.logging.log4j.Logger;
@@ -77,11 +80,11 @@ import net.minecraftforge.client.ClientCommandHandler;
 
 @Mod(
     modid = "cinder_loe",
-    version = "1.2.3",
+    version = "1.2.4",
     name = "CinderLoE",
     dependencies = "required-after:spongemixins@[1.1.0,);required-after:lotr",
     acceptedMinecraftVersions = "[1.7.10]",
-    acceptableRemoteVersions = "[1.2.3]")
+    acceptableRemoteVersions = "[1.2.4]")
 public class CinderLoE {
 
     @Instance("cinder_loe")
@@ -91,8 +94,6 @@ public class CinderLoE {
 
     // LOTR Materials
     public static LOTRMaterial MATERIAL_RED_DWARF;
-    public static LOTRMaterial WIZARD;
-    public static LOTRMaterial MATERIAL_LIMWAITH_BONE;
     public static LOTRMaterial MATERIAL_BONEMOLD;
     public static LOTRMaterial MATERIAL_LIMWAITH_WOOD;
     public static LOTRMaterial EVENT;
@@ -123,6 +124,7 @@ public class CinderLoE {
     public static Block bronzeChain;
     public static Block plaster;
     public static Block voidblock;
+  //  public static Block verticalWeaponRack;
 
     //Food Crop blocks
     public static Block onionCrop;
@@ -139,6 +141,7 @@ public class CinderLoE {
     public static Item frostblade;
     public static Item daggervoid;
     public static Item spearsolidgold;
+    public static Item spearUnnamed;
     public static Item whip;
     public static Item swordAsh;
     public static Item staffAsh;
@@ -302,13 +305,24 @@ public class CinderLoE {
         event.registerServerCommand(new CommandCinderCharacter());
     }
 
-    public void registerEntities() { // Last ID added: 41
+    public void registerEntities() { // Last ID added: 43
         GameRegistry.registerTileEntity(TileEntityMistBlock.class, "TileEntityMistBlock");
 
         int entityID = 7320; // Always increment entityID by 1 over the last entity to ensure unique IDs
       //  EntityRegistry.registerModEntity(HaradLevy.class, "HaradLevy", (entityID + 36), this, 64, 1, true);
       //  EntityRegistry.registerModEntity(DwarfLevy.class, "DwarfLevy", (entityID + 37), this, 64, 1, true);
 
+        // Traders
+        EntityRegistry.registerModEntity(RedDwarfSmith.class, "RedDwarfSmith", (entityID + 29), this, 64, 1, true);
+        EntityRegistry.registerModEntity(LimwaithFishmonger.class, "LimwaithFishmonger", (entityID + 33), this, 64, 1, true);
+        EntityRegistry.registerModEntity(LimwaithShaman.class, "LimwaithShaman", (entityID + 34), this, 64, 1, true);
+        EntityRegistry.registerModEntity(BladorthinSmith.class, "BladorthinSmith", (entityID + 43), this, 64, 1, true);
+
+
+        // Others
+
+        EntityRegistry.registerModEntity(DarkSpider.class, "DarkSpider", (entityID + 42), this, 64, 1, true);
+
         EntityRegistry.registerModEntity(CorruptDwarf.class, "CorruptDwarf", (entityID + 36), this, 64, 1, true);
         EntityRegistry.registerModEntity(CorruptElf.class, "CorruptElf", (entityID + 37), this, 64, 1, true);
         EntityRegistry.registerModEntity(CorruptEnt.class, "CorruptEnt", (entityID + 38), this, 64, 1, true);
@@ -324,7 +338,6 @@ public class CinderLoE {
         EntityRegistry.registerModEntity(RedDwarfArbalest.class, "RedDwarfArbalest", (entityID + 3), this, 64, 1, true);
         EntityRegistry.registerModEntity(RedDwarfBannerBearer.class, "RedDwarfBannerBearer", (entityID + 4), this, 64, 1, true);
         EntityRegistry.registerModEntity(RedDwarfCommander.class, "RedDwarfCommander", (entityID + 5), this, 64, 1, true);
-        EntityRegistry.registerModEntity(RedDwarfSmith.class, "RedDwarfSmith", (entityID + 29), this, 64, 1, true);
 
         EntityRegistry.registerModEntity(FangornBear.class, "FangornBear", (entityID + 6), this, 64, 1, true);
         EntityRegistry.registerModEntity(FangornWildBoar.class, "FangornWildBoar", (entityID + 7), this, 64, 1, true);
@@ -338,8 +351,6 @@ public class CinderLoE {
         EntityRegistry.registerModEntity(LimwaithBoneWarrior.class, "LimwaithBoneWarrior", (entityID + 32), this, 64, 1, true);
         EntityRegistry.registerModEntity(LimwaithBlowgunner.class, "LimwaithBlowgunner", (entityID + 12), this, 64, 1, true);
         EntityRegistry.registerModEntity(LimwaithBannerBearer.class, "LimwaithBannerBearer", (entityID + 13), this, 64, 1, true);
-        EntityRegistry.registerModEntity(LimwaithFishmonger.class, "LimwaithFishmonger", (entityID + 33), this, 64, 1, true);
-        EntityRegistry.registerModEntity(LimwaithShaman.class, "LimwaithShaman", (entityID + 34), this, 64, 1, true);
         EntityRegistry.registerModEntity(LimwaithChieftain.class, "LimwaithChieftain", (entityID + 14), this, 64, 1, true);
 
         EntityRegistry.registerModEntity(Wraith.class, "Wraith", (entityID + 15), this, 64, 1, true);
@@ -402,6 +413,10 @@ public class CinderLoE {
         // Unique
         dwarvenBrickRuned = (new RunedDwarvenBrick());
         GameRegistry.registerBlock(dwarvenBrickRuned, "dwarvenBrickRuned");
+      //  verticalWeaponRack = new VerticalWeaponRack();
+      //  GameRegistry.registerTileEntity(LOTRTileEntityWeaponRack.class, "verticalWeaponRack");
+      //  GameRegistry.registerBlock(verticalWeaponRack, "verticalWeaponRack");
+
 
         // Barrel
         fishBarrel = (new FishBarrel());
@@ -511,7 +526,7 @@ public class CinderLoE {
         * Item Registation, add up the "last ID added" upon adding a new item
         * Weapons will need to be linked
          */
-        // Last ID added: 96
+        // Last ID added: 97
 
         // ==Food Items==
         ItemRegistration.registerItem(onion, "onion", 89);
@@ -582,6 +597,7 @@ public class CinderLoE {
         frostblade = (new LOTRItemSword(EVENT)).setUnlocalizedName("lotr:frostblade").setTextureName("lotr:frostblade");
         daggervoid = (new VoidDagger(EVENT)).addWeaponDamage(5.0F).setUnlocalizedName("lotr:daggerVoid").setTextureName("lotr:daggerVoid").setCreativeTab(null);
         spearsolidgold = (new LOTRItemSpear(EVENT)).setUnlocalizedName("lotr:spearsolidgold").setTextureName("lotr:spearsolidgold").setCreativeTab(null);
+        spearUnnamed = (new UnnamedSpear(EVENT)).setUnlocalizedName("lotr:spearUnnamed").setTextureName("lotr:spearUnnamed").setCreativeTab(null);
         whip = (new Whip()).setUnlocalizedName("lotr:whip").setTextureName("lotr:whip");
 
 
@@ -589,10 +605,12 @@ public class CinderLoE {
         ItemRegistration.registerItem(frostblade, "frostblade", 30);
         ItemRegistration.registerItem(daggervoid, "daggerVoid", 96);
         ItemRegistration.registerItem(spearsolidgold, "spearsolidgold", 31);
+        ItemRegistration.registerItem(spearUnnamed, "spearUnnamed", 97);
         ItemRegistration.registerItem(whip, "whip", 32);
         linkLOTRWeapon(frostblade, "frostblade");
         linkLOTRWeapon(daggervoid, "daggerVoid");
         linkLOTRWeapon(spearsolidgold, "spearsolidgold");
+        linkLOTRWeapon(spearUnnamed, "spearUnnamed");
         linkLOTRWeapon(whip, "whip");
 
         //ASH
@@ -682,10 +700,9 @@ public class CinderLoE {
         bonemold = new Item().setUnlocalizedName("lotr:bonemold").setTextureName("lotr:bonemold").setCreativeTab((CreativeTabs) materials);
         ItemRegistration.registerItem(bonemold, "bonemold", 83);
 
-        MATERIAL_LIMWAITH_BONE = getLOTRMaterialByName("LIMWAITH_BONE");
         MATERIAL_LIMWAITH_WOOD = getLOTRMaterialByName("LIMWAITH_WOOD");
         MATERIAL_BONEMOLD = getLOTRMaterialByName("BONEMOLD");
-        if (MATERIAL_LIMWAITH_WOOD != null && MATERIAL_LIMWAITH_BONE != null) {
+        if (MATERIAL_LIMWAITH_WOOD != null && MATERIAL_BONEMOLD != null) {
             helmetLimwaith = (new LOTRItemArmor(MATERIAL_LIMWAITH_WOOD, 0)).setUnlocalizedName("lotr:helmetLimwaith").setTextureName("lotr:helmetLimwaith");
             bodyLimwaith = (new LOTRItemArmor(MATERIAL_LIMWAITH_WOOD, 1)).setUnlocalizedName("lotr:bodyLimwaith").setTextureName("lotr:bodyLimwaith");
             legsLimwaith = (new LOTRItemArmor(MATERIAL_LIMWAITH_WOOD, 2)).setUnlocalizedName("lotr:legsLimwaith").setTextureName("lotr:legsLimwaith");
@@ -696,12 +713,12 @@ public class CinderLoE {
             legsboneLimwaith = (new LOTRItemArmor(MATERIAL_BONEMOLD, 2)).setUnlocalizedName("lotr:legsboneLimwaith").setTextureName("lotr:legsboneLimwaith");
             bootsboneLimwaith = (new LOTRItemArmor(MATERIAL_BONEMOLD, 3)).setUnlocalizedName("lotr:bootsboneLimwaith").setTextureName("lotr:bootsboneLimwaith");
 
-            spearLimwaith = (new LOTRItemSpear(MATERIAL_LIMWAITH_BONE)).setUnlocalizedName("lotr:spearLimwaith").setTextureName("lotr:spearLimwaith");
-            truncheonLimwaith = (new LOTRItemSword(MATERIAL_LIMWAITH_BONE)).setUnlocalizedName("lotr:truncheonLimwaith").setTextureName("lotr:truncheonLimwaith");
-            battleaxeLimwaith = (new LOTRItemBattleaxe(MATERIAL_LIMWAITH_BONE)).setUnlocalizedName("lotr:battleaxeLimwaith").setTextureName("lotr:battleaxeLimwaith");
-            tridentLimwaith = (new LOTRItemTrident(MATERIAL_LIMWAITH_BONE)).setUnlocalizedName("lotr:tridentLimwaith").setTextureName("lotr:tridentLimwaith");
-            daggerLimwaith = (new LOTRItemDagger(MATERIAL_LIMWAITH_BONE)).setUnlocalizedName("lotr:daggerLimwaith").setTextureName("lotr:daggerLimwaith");
-            daggerLimwaithPoisoned = (new LOTRItemDagger(MATERIAL_LIMWAITH_BONE, LOTRItemDagger.DaggerEffect.POISON)).setUnlocalizedName("lotr:daggerLimwaithPoisoned").setTextureName("lotr:daggerLimwaithPoisoned");
+            spearLimwaith = (new LOTRItemSpear(MATERIAL_BONEMOLD)).setUnlocalizedName("lotr:spearLimwaith").setTextureName("lotr:spearLimwaith");
+            truncheonLimwaith = (new LOTRItemSword(MATERIAL_BONEMOLD)).setUnlocalizedName("lotr:truncheonLimwaith").setTextureName("lotr:truncheonLimwaith");
+            battleaxeLimwaith = (new LOTRItemBattleaxe(MATERIAL_BONEMOLD)).setUnlocalizedName("lotr:battleaxeLimwaith").setTextureName("lotr:battleaxeLimwaith");
+            tridentLimwaith = (new LOTRItemTrident(MATERIAL_BONEMOLD)).setUnlocalizedName("lotr:tridentLimwaith").setTextureName("lotr:tridentLimwaith");
+            daggerLimwaith = (new LOTRItemDagger(MATERIAL_BONEMOLD)).setUnlocalizedName("lotr:daggerLimwaith").setTextureName("lotr:daggerLimwaith");
+            daggerLimwaithPoisoned = (new LOTRItemDagger(MATERIAL_BONEMOLD, LOTRItemDagger.DaggerEffect.POISON)).setUnlocalizedName("lotr:daggerLimwaithPoisoned").setTextureName("lotr:daggerLimwaithPoisoned");
             blowgunLimwaith = (new LOTRItemBlowgun(LOTRMaterial.TAUREDAIN)).setUnlocalizedName("lotr:blowgunLimwaith").setTextureName("lotr:blowgunLimwaith");
 
             ItemRegistration.registerItem(helmetLimwaith, "helmetLimwaith", 47);
@@ -736,7 +753,7 @@ public class CinderLoE {
         MATERIAL_BREE = getLOTRMaterialByName("BREE");
         if (MATERIAL_BREE != null) {
             helmetBreeKettle = (new LOTRItemArmor(MATERIAL_BREE, 0, "helmet")).setUnlocalizedName("lotr:helmetBreeKettle").setTextureName("lotr:breekettlehelmet");
-            helmetBree = (new LOTRItemArmor(MATERIAL_BREE, 0, "helmet")).setUnlocalizedName("lotr:helmetBree").setTextureName("lotr:helmetBree");
+            helmetBree = (new LOTRItemArmor(MATERIAL_BREE, 0)).setUnlocalizedName("lotr:helmetBree").setTextureName("lotr:helmetBree");
             bodyBree = (new LOTRItemArmor(MATERIAL_BREE, 1)).setUnlocalizedName("lotr:bodyBree").setTextureName("lotr:bodyBree");
             legsBree = (new LOTRItemArmor(MATERIAL_BREE, 2)).setUnlocalizedName("lotr:legsBree").setTextureName("lotr:legsBree");
             bootsBree = (new LOTRItemArmor(MATERIAL_BREE, 3)).setUnlocalizedName("lotr:bootsBree").setTextureName("lotr:bootsBree");
@@ -798,6 +815,10 @@ public class CinderLoE {
        //     RenderingRegistry.registerEntityRenderingHandler(HaradLevy.class, new LOTRRenderNearHaradrim());
         //    RenderingRegistry.registerEntityRenderingHandler(DwarfLevy.class, new LOTRRenderDwarf());
 
+            RenderingRegistry.registerEntityRenderingHandler(BladorthinSmith.class, new LOTRRenderDorwinionElfVintner());
+
+            RenderingRegistry.registerEntityRenderingHandler(DarkSpider.class, new RenderDarkSpider());
+
             RenderingRegistry.registerEntityRenderingHandler(CorruptDwarf.class, new RenderCorruptDwarf());
             RenderingRegistry.registerEntityRenderingHandler(CorruptElf.class, new RenderCorruptElf());
             RenderingRegistry.registerEntityRenderingHandler(CorruptEnt.class, new RenderCorruptEnt());
@@ -976,6 +997,7 @@ public class CinderLoE {
         CinderCore.registerItemFallback(Block.getIdFromBlock(reeflessCoral), Block.getIdFromBlock(LOTRMod.coralReef), "cinder_loe", "1.2");
         CinderCore.registerItemFallback(Block.getIdFromBlock(plaster), Block.getIdFromBlock(Blocks.brick_block), "cinder_loe", "1.2.1");
         CinderCore.registerItemFallback(Block.getIdFromBlock(voidblock), Block.getIdFromBlock(Blocks.coal_block), "cinder_loe", "1.2.1");
+       // CinderCore.registerItemFallback(Block.getIdFromBlock(verticalWeaponRack), Block.getIdFromBlock(Blocks.fence), "cinder_loe", "1.2.4");
         // == Red Dwarf Items==
         CinderCore.registerItemFallback(Item.getIdFromItem(redDwarfSteel), Item.getIdFromItem(LOTRMod.dwarfSteel), "cinder_loe", "1.0");
         CinderCore.registerItemFallback(Item.getIdFromItem(spearRedDwarf), Item.getIdFromItem(LOTRMod.spearDwarven), "cinder_loe", "1.0");
@@ -1002,6 +1024,7 @@ public class CinderLoE {
         CinderCore.registerItemFallback(Item.getIdFromItem(frostblade), Item.getIdFromItem(LOTRMod.swordMithril), "cinder_loe", "1.0");
         CinderCore.registerItemFallback(Item.getIdFromItem(daggervoid), Item.getIdFromItem(LOTRMod.daggerMithril), "cinder_loe", "1.2.3");
         CinderCore.registerItemFallback(Item.getIdFromItem(spearsolidgold), Item.getIdFromItem(LOTRMod.spearMithril), "cinder_loe", "1.1");
+        CinderCore.registerItemFallback(Item.getIdFromItem(spearUnnamed), Item.getIdFromItem(LOTRMod.spearMithril), "cinder_loe", "1.2.4");
         CinderCore.registerItemFallback(Item.getIdFromItem(whip), Item.getIdFromItem(LOTRMod.balrogWhip), "cinder_loe", "1.2");
         // == Ash Forged ==
         CinderCore.registerItemFallback(Item.getIdFromItem(ingotAsh), Item.getIdFromItem(LOTRMod.galvorn), "cinder_loe", "1.2");
@@ -1080,6 +1103,9 @@ public class CinderLoE {
 
      //   CinderCore.registerEntityFallback(HaradLevy.class, LOTREntityNearHaradrim.class, "cinder_loe", "1.2.3");
      //   CinderCore.registerEntityFallback(DwarfLevy.class, LOTREntityDwarf.class, "cinder_loe", "1.2.3");
+        CinderCore.registerEntityFallback(DarkSpider.class, LOTREntityUtumnoIceSpider.class, "cinder_loe", "1.2.4");
+
+        CinderCore.registerEntityFallback(BladorthinSmith.class, LOTREntityDorwinionElf.class, "cinder_loe", "1.2.4");
 
         CinderCore.registerEntityFallback(CorruptDwarf.class, LOTREntityDwarf.class, "cinder_loe", "1.2.3");
         CinderCore.registerEntityFallback(CorruptElf.class, LOTREntityTormentedElf.class, "cinder_loe", "1.2.3");
@@ -1129,6 +1155,10 @@ public class CinderLoE {
         CinderCore.registerEntityFallback(BreeOutrider.class, LOTREntityBreeMan.class, "cinder_loe", "1.1");
 
         CinderCore.registerCustomFallback(42, 16, "banner", "cinder_loe", "1.2");
+        CinderCore.registerCustomFallback(43, 16, "banner", "cinder_loe", "1.2.4");
+        CinderCore.registerCustomFallback(44, 16, "banner", "cinder_loe", "1.2.4");
+        CinderCore.registerCustomFallback(45, 16, "banner", "cinder_loe", "1.2.4");
+        CinderCore.registerCustomFallback(46, 16, "banner", "cinder_loe", "1.2.4");
     }
 
     // Create unit trade entries here, out of the way of important code
diff --git a/src/main/java/com/zivilon/cinder_loe/Materials.java b/src/main/java/com/zivilon/cinder_loe/Materials.java
index 21ddfda..0a4b80b 100644
--- a/src/main/java/com/zivilon/cinder_loe/Materials.java
+++ b/src/main/java/com/zivilon/cinder_loe/Materials.java
@@ -14,9 +14,8 @@ public class Materials {
     public static void registerMaterials() {
         modifyMaterial("RED_DWARF", 700, 3.0F, 0.7F, 3, 7.0F, 10, CinderLoE.redDwarfSteel);
         modifyMaterial("WIZARD", 1000, 3.0F, 0.7F, 3, 7.0F, 10, null);
-        modifyMaterial("LIMWAITH_BONE", 250, 2.0F, 0.7F, 2, 6.0F, 10, null);
         modifyMaterial("BONEMOLD", 350, 2.0F, 0.6F, 2, 6.0F, 10, CinderLoE.bonemold);
-        modifyMaterial("LIMWAITH_WOOD", 230, 1.5F, 0.5F, 2, 5.0F, 10, null);
+        modifyMaterial("LIMWAITH_WOOD", 230, 1.5F, 0.5F, 2, 5.0F, 10, Item.getItemFromBlock(LOTRMod.driedReeds));
         modifyMaterial("EVENT", 2400, 5.0F, 0.0F, 0, 9.0F, 10, null);
         modifyMaterial("BREE", 350, 2.5F, 0.6F, 2, 6.0F, 10, Items.iron_ingot);
         modifyMaterial("BATTLENUN", 300, 3F, 0.6F, 2, 6.0F, 10, Items.iron_ingot);
diff --git a/src/main/java/com/zivilon/cinder_loe/blocks/VerticalWeaponRack.java b/src/main/java/com/zivilon/cinder_loe/blocks/VerticalWeaponRack.java
new file mode 100644
index 0000000..3cde8ed
--- /dev/null
+++ b/src/main/java/com/zivilon/cinder_loe/blocks/VerticalWeaponRack.java
@@ -0,0 +1,24 @@
+package com.zivilon.cinder_loe.blocks;
+
+import cpw.mods.fml.relauncher.Side;
+import cpw.mods.fml.relauncher.SideOnly;
+import lotr.common.block.LOTRBlockWeaponRack;
+import lotr.common.tileentity.LOTRTileEntityWeaponRack;
+import net.minecraft.block.Block;
+import net.minecraft.block.BlockContainer;
+import net.minecraft.block.material.Material;
+import net.minecraft.client.renderer.texture.IIconRegister;
+import net.minecraft.init.Blocks;
+import net.minecraft.tileentity.TileEntity;
+import net.minecraft.util.IIcon;
+import net.minecraft.world.IBlockAccess;
+import net.minecraft.world.World;
+
+public class VerticalWeaponRack extends LOTRBlockWeaponRack {
+    public VerticalWeaponRack() {
+        super();
+        this.setHardness(0.5f);
+        this.setResistance(1.0f);
+        this.setStepSound(Block.soundTypeWood);
+    }
+}
diff --git a/src/main/java/com/zivilon/cinder_loe/character/CharacterEventListener.java b/src/main/java/com/zivilon/cinder_loe/character/CharacterEventListener.java
index 9a881c7..b7c00d0 100644
--- a/src/main/java/com/zivilon/cinder_loe/character/CharacterEventListener.java
+++ b/src/main/java/com/zivilon/cinder_loe/character/CharacterEventListener.java
@@ -2,12 +2,9 @@ package com.zivilon.cinder_loe.character;
 
 import cpw.mods.fml.common.eventhandler.SubscribeEvent;
 import cpw.mods.fml.common.eventhandler.EventPriority;
-import cpw.mods.fml.common.FMLCommonHandler;
 import net.minecraftforge.common.MinecraftForge;
 import net.minecraftforge.event.entity.living.LivingHurtEvent;
 
-import net.minecraft.command.IEntitySelector;
-import net.minecraft.entity.Entity;
 import net.minecraft.entity.EntityLiving;
 import net.minecraft.entity.EntityLivingBase;
 import net.minecraft.entity.passive.EntityAnimal;
@@ -19,8 +16,7 @@ import java.util.ArrayList;
 import java.util.List;
 import java.util.UUID;
 
-import com.zivilon.cinder_loe.character.CharacterRoleAPI;
-import com.zivilon.cinder_loe.entity.FangornAnimal;
+import com.zivilon.cinder_loe.entity.npc.FangornAnimal;
 
 public class CharacterEventListener {
 
diff --git a/src/main/java/com/zivilon/cinder_loe/client/model/ModelBreeKettleHelmet.java b/src/main/java/com/zivilon/cinder_loe/client/model/ModelBreeKettleHelmet.java
index baddf15..b7835de 100644
--- a/src/main/java/com/zivilon/cinder_loe/client/model/ModelBreeKettleHelmet.java
+++ b/src/main/java/com/zivilon/cinder_loe/client/model/ModelBreeKettleHelmet.java
@@ -1,32 +1,46 @@
 package com.zivilon.cinder_loe.client.model;
 
-import net.minecraft.client.model.ModelBiped;
+import lotr.client.model.LOTRModelBiped;
 import net.minecraft.client.model.ModelRenderer;
 import net.minecraft.entity.Entity;
 
-/**
- * Created using Tabula 4.1.1
- */
-public class ModelBreeKettleHelmet extends ModelBiped {
+public class ModelBreeKettleHelmet extends LOTRModelBiped {
     public ModelRenderer shape9;
 
     public ModelBreeKettleHelmet(float f) {
-        super(f);
+        super(f); // Call the parent constructor to initialize the biped parts
+
         this.textureWidth = 64;
         this.textureHeight = 32;
-        this.bipedHead = new ModelRenderer(this, 0, 0);
-        this.bipedHead.setRotationPoint(0.0F, 0.0F, 0.0F);
-        this.bipedHead.addBox(-4.0F, -8.0F, -4.0F, 8, 8, 8, 1.0F);
+
+        // Define the shape9 part and attach it to bipedHead
         this.shape9 = new ModelRenderer(this, 0, 16);
         this.shape9.setRotationPoint(0.0F, 0.0F, 0.0F);
-        this.shape9.addBox(-7.0F, -4.75F, -7.0F, 14, 0, 14, 1.75F);
-        this.bipedHead.addChild(shape9);
+        //shape9.addBox(0F, -13F, -4F, 0, 4, 10);
+        this.shape9.addBox(-7.0F, -6.0F, -7.0F, 14, 0, 14, 0.0F);
+
+        // Clear any previously defined parts for the bipedHead
+        this.bipedHead.cubeList.clear();
+
+        // Define the main helmet part and attach shape9 to it
+        this.bipedHead = new ModelRenderer(this, 0, 0);
+        this.bipedHead.setRotationPoint(0.0F, 0.0F, 0.0F);
+       // this.bipedHead.addBox(-4.5F, -9.0F, -4.5F, 9, 9, 9, 0.5F); // Adjusted position and scale
+        this.bipedHead.addBox(-4F, -8F, -4F, 8, 8, 8, f); // Adjusted position and scale (f)
+        this.bipedHead.addChild(this.shape9);
+
+        // Clear unnecessary parts
+        this.bipedHeadwear.cubeList.clear();
+        this.bipedBody.cubeList.clear();
+        this.bipedRightArm.cubeList.clear();
+        this.bipedLeftArm.cubeList.clear();
+        this.bipedRightLeg.cubeList.clear();
+        this.bipedLeftLeg.cubeList.clear();
     }
 
     @Override
     public void render(Entity entity, float f, float f1, float f2, float f3, float f4, float f5) {
         this.bipedHead.render(f5);
-//        this.shape9.render(f5);
     }
 
     /**
diff --git a/src/main/java/com/zivilon/cinder_loe/client/model/ModelFangornAuroch.java b/src/main/java/com/zivilon/cinder_loe/client/model/ModelFangornAuroch.java
index 7fdd37f..2921aa7 100644
--- a/src/main/java/com/zivilon/cinder_loe/client/model/ModelFangornAuroch.java
+++ b/src/main/java/com/zivilon/cinder_loe/client/model/ModelFangornAuroch.java
@@ -4,9 +4,6 @@ import net.minecraft.client.model.ModelBase;
 import net.minecraft.client.model.ModelRenderer;
 import net.minecraft.entity.Entity;
 import net.minecraft.util.MathHelper;
-import org.lwjgl.opengl.GL11;
-
-import com.zivilon.cinder_loe.entity.FangornAuroch;
 
 public class ModelFangornAuroch extends ModelBase {
     public ModelRenderer body;
diff --git a/src/main/java/com/zivilon/cinder_loe/client/model/ModelFangornElk.java b/src/main/java/com/zivilon/cinder_loe/client/model/ModelFangornElk.java
index 50e1a37..80829f9 100644
--- a/src/main/java/com/zivilon/cinder_loe/client/model/ModelFangornElk.java
+++ b/src/main/java/com/zivilon/cinder_loe/client/model/ModelFangornElk.java
@@ -1,6 +1,5 @@
 package com.zivilon.cinder_loe.client.model;
 
-import lotr.client.LOTRTickHandlerClient;
 import lotr.common.LOTRMod;
 import net.minecraft.client.model.ModelBase;
 import net.minecraft.client.model.ModelRenderer;
@@ -8,7 +7,7 @@ import net.minecraft.entity.Entity;
 import net.minecraft.util.MathHelper;
 import org.lwjgl.opengl.GL11;
 
-import com.zivilon.cinder_loe.entity.FangornElk;
+import com.zivilon.cinder_loe.entity.npc.FangornElk;
 
 public class ModelFangornElk extends ModelBase {
   private ModelRenderer body;
diff --git a/src/main/java/com/zivilon/cinder_loe/client/model/ModelFangornWolf.java b/src/main/java/com/zivilon/cinder_loe/client/model/ModelFangornWolf.java
index c08dc8b..6560992 100644
--- a/src/main/java/com/zivilon/cinder_loe/client/model/ModelFangornWolf.java
+++ b/src/main/java/com/zivilon/cinder_loe/client/model/ModelFangornWolf.java
@@ -4,12 +4,10 @@ import cpw.mods.fml.relauncher.Side;
 import cpw.mods.fml.relauncher.SideOnly;
 import net.minecraft.entity.Entity;
 import net.minecraft.entity.EntityLivingBase;
-import net.minecraft.entity.passive.EntityWolf;
 import net.minecraft.util.MathHelper;
-import org.lwjgl.opengl.GL11;
 import net.minecraft.client.model.ModelBase;
 import net.minecraft.client.model.ModelRenderer;
-import com.zivilon.cinder_loe.entity.FangornWolf;
+import com.zivilon.cinder_loe.entity.npc.FangornWolf;
 
 @SideOnly(Side.CLIENT)
 public class ModelFangornWolf extends ModelBase {
diff --git a/src/main/java/com/zivilon/cinder_loe/client/model/Modelverticalweaponrack.java b/src/main/java/com/zivilon/cinder_loe/client/model/Modelverticalweaponrack.java
new file mode 100644
index 0000000..eaf1b54
--- /dev/null
+++ b/src/main/java/com/zivilon/cinder_loe/client/model/Modelverticalweaponrack.java
@@ -0,0 +1,92 @@
+package com.zivilon.cinder_loe.client.model;
+
+
+import net.minecraft.client.model.ModelBase;
+import net.minecraft.client.model.ModelRenderer;
+import net.minecraft.entity.Entity;
+
+/**
+ * Vertical Weapon rack - Cleric_red
+ * Created using Tabula 4.1.1
+ */
+public class Modelverticalweaponrack extends ModelBase {
+    public ModelRenderer Post;
+    public ModelRenderer Plate;
+    public ModelRenderer Post_1;
+    public ModelRenderer Base;
+    public ModelRenderer HolderBottom;
+    public ModelRenderer HolderBottom_1;
+    public ModelRenderer HolderBottom_2;
+    public ModelRenderer HolderTop;
+    public ModelRenderer HolderTop_1;
+    public ModelRenderer HolderTop_2;
+    public boolean onWall = true;
+
+    public Modelverticalweaponrack() {
+        this.textureWidth = 64;
+        this.textureHeight = 32;
+        this.HolderBottom_2 = new ModelRenderer(this, 0, 17);
+        this.HolderBottom_2.setRotationPoint(-1.0F, 20.0F, 2.0F);
+        this.HolderBottom_2.addBox(0.0F, 0.0F, 0.0F, 1, 2, 1, 0.0F);
+        this.setRotateAngle(HolderBottom_2, 0.0F, 1.5707963267948966F, 0.0F);
+        this.Base = new ModelRenderer(this, 0, 0);
+        this.Base.setRotationPoint(-8.0F, 10.0F, 2.5F);
+        this.Base.addBox(0.0F, 0.0F, 0.0F, 5, 14, 2, 0.0F);
+        this.setRotateAngle(Base, 0.0F, 1.5707963267948966F, 0.0F);
+        this.HolderTop_1 = new ModelRenderer(this, 0, 17);
+        this.HolderTop_1.setRotationPoint(-1.0F, 12.0F, -1.0F);
+        this.HolderTop_1.addBox(0.0F, 0.0F, 0.0F, 1, 2, 1, 0.0F);
+        this.setRotateAngle(HolderTop_1, 0.0F, 1.5707963267948966F, 0.0F);
+        this.HolderTop = new ModelRenderer(this, 5, 17);
+        this.HolderTop.setRotationPoint(-1.0F, 12.0F, 2.0F);
+        this.HolderTop.addBox(0.0F, 0.0F, 0.0F, 1, 2, 1, 0.0F);
+        this.setRotateAngle(HolderTop, 0.0F, 1.5707963267948966F, 0.0F);
+        this.Post_1 = new ModelRenderer(this, 14, 0);
+        this.Post_1.setRotationPoint(-6.0F, 20.0F, 1.0F);
+        this.Post_1.addBox(0.0F, 0.0F, 0.0F, 2, 2, 3, 0.0F);
+        this.setRotateAngle(Post_1, 0.0F, 1.5707963267948966F, 0.0F);
+        this.Plate = new ModelRenderer(this, 24, 0);
+        this.Plate.setRotationPoint(-3.0F, 10.0F, 1.5F);
+        this.Plate.addBox(0.0F, 0.0F, 0.0F, 3, 14, 1, 0.0F);
+        this.setRotateAngle(Plate, 0.0F, 1.5707963267948966F, 0.0F);
+        this.HolderTop_2 = new ModelRenderer(this, 0, 17);
+        this.HolderTop_2.setRotationPoint(-2.0F, 12.0F, 2.0F);
+        this.HolderTop_2.addBox(0.0F, 0.0F, 0.0F, 4, 2, 1, 0.0F);
+        this.setRotateAngle(HolderTop_2, 0.0F, 1.5707963267948966F, 0.0F);
+        this.HolderBottom = new ModelRenderer(this, 5, 17);
+        this.HolderBottom.setRotationPoint(-1.0F, 20.0F, -1.0F);
+        this.HolderBottom.addBox(0.0F, 0.0F, 0.0F, 1, 2, 1, 0.0F);
+        this.setRotateAngle(HolderBottom, 0.0F, 1.5707963267948966F, 0.0F);
+        this.HolderBottom_1 = new ModelRenderer(this, 0, 17);
+        this.HolderBottom_1.setRotationPoint(-2.0F, 20.0F, 2.0F);
+        this.HolderBottom_1.addBox(0.0F, 0.0F, 0.0F, 4, 2, 1, 0.0F);
+        this.setRotateAngle(HolderBottom_1, 0.0F, 1.5707963267948966F, 0.0F);
+        this.Post = new ModelRenderer(this, 14, 0);
+        this.Post.setRotationPoint(-6.0F, 12.0F, 1.0F);
+        this.Post.addBox(0.0F, 0.0F, 0.0F, 2, 2, 3, 0.0F);
+        this.setRotateAngle(Post, 0.0F, 1.5707963267948966F, 0.0F);
+    }
+
+    @Override
+    public void render(Entity entity, float f, float f1, float f2, float f3, float f4, float f5) {
+        this.HolderBottom_2.render(f5);
+        this.Base.render(f5);
+        this.HolderTop_1.render(f5);
+        this.HolderTop.render(f5);
+        this.Post_1.render(f5);
+        this.Plate.render(f5);
+        this.HolderTop_2.render(f5);
+        this.HolderBottom.render(f5);
+        this.HolderBottom_1.render(f5);
+        this.Post.render(f5);
+    }
+
+    /**
+     * This is a helper function from Tabula to set the rotation of model parts
+     */
+    public void setRotateAngle(ModelRenderer modelRenderer, float x, float y, float z) {
+        modelRenderer.rotateAngleX = x;
+        modelRenderer.rotateAngleY = y;
+        modelRenderer.rotateAngleZ = z;
+    }
+}
diff --git a/src/main/java/com/zivilon/cinder_loe/client/render/RenderBattleNun.java b/src/main/java/com/zivilon/cinder_loe/client/render/RenderBattleNun.java
index d4097a8..2be6d72 100644
--- a/src/main/java/com/zivilon/cinder_loe/client/render/RenderBattleNun.java
+++ b/src/main/java/com/zivilon/cinder_loe/client/render/RenderBattleNun.java
@@ -1,6 +1,6 @@
 package com.zivilon.cinder_loe.client.render;
 
-import com.zivilon.cinder_loe.entity.BattleNun;
+import com.zivilon.cinder_loe.entity.npc.BattleNun;
 import lotr.client.model.LOTRModelHuman;
 import lotr.client.render.entity.LOTRRenderBiped;
 import lotr.client.render.entity.LOTRRandomSkins;
@@ -12,8 +12,6 @@ import net.minecraft.entity.Entity;
 import net.minecraft.entity.EntityLiving;
 import net.minecraft.util.ResourceLocation;
 
-import com.zivilon.cinder_loe.entity.Limwaith;
-
 public class RenderBattleNun extends LOTRRenderBiped {
 
     public static LOTRRandomSkins skinsFemale;
diff --git a/src/main/java/com/zivilon/cinder_loe/client/render/RenderDarkSpider.java b/src/main/java/com/zivilon/cinder_loe/client/render/RenderDarkSpider.java
new file mode 100644
index 0000000..0dbe36d
--- /dev/null
+++ b/src/main/java/com/zivilon/cinder_loe/client/render/RenderDarkSpider.java
@@ -0,0 +1,14 @@
+package com.zivilon.cinder_loe.client.render;
+
+import lotr.client.render.entity.LOTRRenderSpiderBase;
+import lotr.client.render.entity.LOTRRenderUtumnoIceSpider;
+import net.minecraft.entity.Entity;
+import net.minecraft.util.ResourceLocation;
+
+public class RenderDarkSpider extends LOTRRenderUtumnoIceSpider {
+    private static ResourceLocation spiderSkin = new ResourceLocation("cinder_loe:mob/spider/spider_dark.png");
+
+    protected ResourceLocation getEntityTexture(Entity entity) {
+        return spiderSkin;
+    }
+}
\ No newline at end of file
